source "$BSP_DIR/../common/drivers/Kconfig"

menu "RT-Thread rockchip RK3568 drivers"

config RT_USING_CACHE_ECC
    bool "Enable Cache ECC"
    default n

menu "Enable CAN"
    config RT_USING_CAN
        bool "Enable CAN"
        default n

    if RT_USING_CAN
    config RT_USING_CAN1
        bool "Enable CAN1"
        default n
    endif
endmenu

config RT_USING_CRU
    bool "Enable CRU"
    default n

menu "Enable GMAC"
    config RT_USING_GMAC
        bool "Enable GMAC"
        select RT_USING_LWIP
        default n

    if RT_USING_GMAC
    config RT_USING_GMAC0
        bool "Enable GMAC0"
        default n
    config RT_USING_GMAC1
        bool "Enable GMAC1"
        default n
    endif
endmenu

config RT_USING_I2C0
    bool "Enable I2C0"
    select RT_USING_I2C
    default n

config RT_USING_SYSTICK
    bool "Enable SYSTICK"
    default y

menu "Enable UART"
    config RT_USING_UART
        bool "Enable UART"
        default y

    if RT_USING_UART
    config RT_USING_UART2
        bool "Enable UART2"
        default y

    config RT_USING_UART4
        bool "Enable UART4"
        default n
    endif
endmenu

config RT_USING_DW_PCIE
    bool "Enable DW PCIE"
    default n

config RT_USING_PCIE_DMA
    bool "Enable PCIE DMA"
    default n

config RT_USING_WITH_LINUX
    bool "Enable USING WITH LINUX"
    default n
endmenu
